#include <stdio.h>
#include <string.h>

int main(void) {
    // 1. strlen: Calcular la longitud de una cadena
    char str1[] = "Buenos ";
    printf("Longitud de str1: %lu\n", strlen(str1));

    // 2. strcat: Concatenar dos cadenas
    char str2[] = "días!";
    strcat(str1, str2); // Concatena str2 al final de str1
    printf("Después de strcat: %s\n", str1);

    // 3. strcpy: Copiar una cadena a otra
    char str3[50];
    strcpy(str3, str1); // Copia str1 a str3
    printf("Después de strcpy, str3: %s\n", str3);

    // 4. strcmp: Comparar dos cadenas
    char str4[] = "Buenos días!";
    if (strcmp(str3, str4) == 0) {
        printf("str3 y str4 son iguales.\n");
    } else {
        printf("str3 y str4 son diferentes.\n");
    }

    // 5. strncpy: Copiar los primeros n caracteres de una cadena
    char str5[20];
    strncpy(str5, str1, 6); // Copia los primeros 6 caracteres de str1 a str5
    str5[6] = '\0'; // Asegura que str5 esté terminada en null
    printf("Después de strncpy, str5: %s\n", str5);

    // 6. memset: Inicializar una cadena con un carácter
    char str6[10];
    memset(str6, '*', 9); // Llena los primeros 9 caracteres con '*'
    str6[9] = '\0';       // Agrega el carácter nulo al final
    printf("Después de memset, str6: %s\n", str6);

    return 0;
}

